
From: Domen Puncer <domen@coderock.org>

lib/sha1.c:44:10: warning: cast to restricted type

Signed-off-by: Alexey Dobriyan <adobriyan@mail.ru>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/lib/sha1.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN lib/sha1.c~lib-sha1c-fix-sparse-warning lib/sha1.c
--- 25/lib/sha1.c~lib-sha1c-fix-sparse-warning	Fri Apr  8 16:34:11 2005
+++ 25-akpm/lib/sha1.c	Fri Apr  8 16:34:11 2005
@@ -41,7 +41,7 @@ void sha_transform(__u32 *digest, const 
 	__u32 a, b, c, d, e, t, i;
 
 	for (i = 0; i < 16; i++)
-		W[i] = be32_to_cpu(((const __u32 *)in)[i]);
+		W[i] = be32_to_cpu(((const __be32 *)in)[i]);
 
 	for (i = 0; i < 64; i++)
 		W[i+16] = rol32(W[i+13] ^ W[i+8] ^ W[i+2] ^ W[i], 1);
_
